Bug 1076070 - exp test case fails on s390(x) and aarch64
exp test case fails on s390(x) and aarch64
Status: NEW
Product: Fedora
Classification: Fedora
Component: qd (Show other bugs)
23
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2014-03-13 09:16 EDT by Dan Horák
Modified: 2016-02-29 03:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2014-03-13 09:16:32 EDT
The exp test case fails on s390(x) for the dd_real type. It used to pass fine in the F-16 days, so I suspect it can be gcc related. The last successful build used gcc 4.6.3, later ones with gcc 4.7 and 4.8 are failing due the exp test.

[sharkcz@devel6 tests]$ ./qd_test -v

Testing dd_real ...
sizeof(dd_real) = 16

Test 1.  (Polynomial).
Root Found:  x  = -7.1453772716733489700000161162586e-01
           p(x) = 9.6099071118588433664679939071683e-33
Test passed.

Test 2.  (Machin's Formula for Pi).
22 Iterations
7 Iterations
   pi = 3.1415926535897932384626433832795e+00
  _pi = 3.1415926535897932384626433832795e+00
error = 4.93038e-32 = 1 eps
Test passed.

Test 3.  (Salamin-Brent Quadratic Formula for Pi).
Iteration  0: 4.0000000000000000000000000000000e+00
Iteration  1: 3.1876726427121086272019299705252e+00
Iteration  2: 3.1416802932976532939180704245601e+00
Iteration  3: 3.1415926538954464960029147588176e+00
Iteration  4: 3.1415926535897932384663606027056e+00
Iteration  5: 3.1415926535897932384626433832785e+00
Iteration  6: 3.1415926535897932384626433832784e+00
         _pi: 3.1415926535897932384626433832795e+00
       error: 1.06003e-30 = 21.5 eps
Test passed.

Test 4.  (Borwein Quartic Formula for Pi).
Iteration  0: 2.9142135623730950488016887242092e+00
Iteration  1: 3.1415926462135422821493444319824e+00
Iteration  2: 3.1415926535897932384626433832789e+00
Iteration  3: 3.1415926535897932384626433832789e+00
         _pi: 3.1415926535897932384626433832795e+00
       error: 6.40949e-31 = 13 eps
Test passed.

Test 5.  (Taylor Series Formula for E).
    e = 2.7182818284590452353602874713526e+00
   _e = 2.7182818284590452353602874713527e+00
error = 9.86076e-32 = 2 eps
29 iterations.
Test passed.

Test 6.  (Taylor Series Formula for Log 2).
 log2 = 6.9314718055994530941723212145814e-01
_log2 = 6.9314718055994530941723212145818e-01
error = 3.08149e-32 = 0.625 eps
104 iterations.
Test passed.

Test 7.  (Sanity check for exp).
result = 7.3890560989306502272607491793714e+00
exp(2) = 7.3890560989306510475820722180458e+00
   e^2 = 7.3890560989306502272304274605750e+00
 error = 8.20321e-16 = 1.66381e+16 eps
Test FAILED.

Test 8.  (Sanity check for sin / cos).
  r1 = 8.6602540378443864676372317075294e-01
  t1 = 8.6602540378443864676372317075290e-01
  r2 = 5.0000000000000000000000000000000e-01
  t2 = 5.0000000000000000000000000000000e-01
 error = 4.93038e-32 = 1 eps
Test passed.

Testing qd_real ...
sizeof(qd_real) = 32

Test 1.  (Polynomial).
Root Found:  x  = -7.14537727167334897000001611625853728729167441192053388713095053e-01
           p(x) = -5.93472984109987421717077641847622322138810364601246560392486249e-65
Test passed.

Test 2.  (Machin's Formula for Pi).
45 Iterations
13 Iterations
   pi = 3.14159265358979323846264338327950288419716939937510582097494459e+00
  _pi = 3.14159265358979323846264338327950288419716939937510582097494459e+00
error = 3.79823e-65 = 0.03125 eps
Test passed.

Test 3.  (Salamin-Brent Quadratic Formula for Pi).
Iteration  0: 4.00000000000000000000000000000000000000000000000000000000000000e+00
Iteration  1: 3.18767264271210862720192997052536923265105357185936922648763399e+00
Iteration  2: 3.14168029329765329391807042456000938279571943881540283264418946e+00
Iteration  3: 3.14159265389544649600291475881804348610887923726131158965110136e+00
Iteration  4: 3.14159265358979323846636060270663132175770241134242935648684602e+00
Iteration  5: 3.14159265358979323846264338327950288419716994916472660583469612e+00
Iteration  6: 3.14159265358979323846264338327950288419716939937510582097494458e+00
Iteration  7: 3.14159265358979323846264338327950288419716939937510582097494458e+00
         _pi: 3.14159265358979323846264338327950288419716939937510582097494459e+00
       error: 1.69591e-62 = 13.9531 eps
Test passed.

Test 4.  (Borwein Quartic Formula for Pi).
Iteration  0: 2.91421356237309504880168872420969807856967187537694807317667974e+00
Iteration  1: 3.14159264621354228214934443198269577431443722334560279455953948e+00
Iteration  2: 3.14159265358979323846264338327950288419711467828364892155661711e+00
Iteration  3: 3.14159265358979323846264338327950288419716939937510582097494459e+00
Iteration  4: 3.14159265358979323846264338327950288419716939937510582097494459e+00
         _pi: 3.14159265358979323846264338327950288419716939937510582097494459e+00
       error: 7.97628e-64 = 0.65625 eps
Test passed.

Test 5.  (Taylor Series Formula for E).
    e = 2.71828182845904523536028747135266249775724709369995957496696763e+00
   _e = 2.71828182845904523536028747135266249775724709369995957496696763e+00
error = 1.89911e-65 = 0.015625 eps
49 iterations.
Test passed.

Test 6.  (Taylor Series Formula for Log 2).
 log2 = 6.93147180559945309417232121458176568075500134360255254120680009e-01
_log2 = 6.93147180559945309417232121458176568075500134360255254120680010e-01
error = 9.49557e-66 = 0.0078125 eps
209 iterations.
Test passed.

Test 7.  (Sanity check for exp).
result = 7.38905609893065022723042746057500781318031557055184732408712782e+00
exp(2) = 7.38905609893065022723042746057500781318031557055184732408712782e+00
   e^2 = 7.38905609893065022723042746057500781318031557055184732408712782e+00
 error = 8.3561e-64 = 0.6875 eps
Test passed.

Test 8.  (Sanity check for sin / cos).
  r1 = 8.66025403784438646763723170752936183471402626905190314027903490e-01
  t1 = 8.66025403784438646763723170752936183471402626905190314027903490e-01
  r2 = 5.00000000000000000000000000000000000000000000000000000000000000e-01
  t2 = 5.00000000000000000000000000000000000000000000000000000000000000e-01
 error = 5.69734e-65 = 0.046875 eps
Test passed.


Version-Release number of selected component (if applicable):
qd-2.3.14-2.fc20
Comment 1 Fedora Admin XMLRPC Client 2014-07-22 13:49:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2014-07-22 19:59:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Kurik 2015-07-15 10:42:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Fedora Admin XMLRPC Client 2016-02-26 12:39:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2016-02-29 03:13:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.